plugins {
    id 'com.android.library'
}

android {
    compileSdkVersion 34

    defaultConfig {
        minSdkVersion 14
    }
    //这里就是打jar包
    task makeJar(type: Copy) {
        //删除旧的jar包
        delete 'build/libs/sobot_common_x_1.7.1.jar'
        //原地址
        from('build/intermediates/packaged-classes/release/')
        //导出jar包的地址
        into('build/libs/')
        //包含的jar包
        include('classes.jar')
        //重命名jar包为mysdk
        rename ('classes.jar', 'sobot_common_x_1.7.1.jar')
    }
    makeJar.dependsOn(build)
}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    compileOnly 'com.squareup.okhttp3:okhttp:3.12.0'
//    api project(':sobot_utils')
//    api project(':sobot_pictureframe')
//    api project(':sobot_network')
//    api project(':sobot_gson')


    api 'com.sobot.library:utils:1.1.3'
    api 'com.sobot.library:picture_x:1.2.0'
    api 'com.sobot.library:net:1.2.5'
    api 'com.sobot.library:gson:1.1.1'
}


//添加发布到mavenCentral脚本
apply from: './sobot-common-publish-mavencentral.gradle'